List community members
Requires `COMMUNITY_MEMBERS_READ`. Members of the workspace's community, oldest first. `search` matches only names the response shows: username and `displayName` (the customer or contact name is searched only when it is the `displayName` fallback). It never matches email addresses. Returns 403 when the Community module is disabled and 404 when the workspace has no community.
Requires COMMUNITY_MEMBERS_READ. Members of the workspace's community, oldest first. search matches only names the response shows: username and displayName (the customer or contact name is searched only when it is the displayName fallback). It never matches email addresses. Returns 403 when the Community module is disabled and 404 when the workspace has no community.
In: header
Query Parameters
value <= 100500 <= value0Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/community/members"{ "data": [ { "id": "string", "customerId": "string", "username": "string", "displayName": "string", "avatarUrl": "string", "status": "ACTIVE", "accessPlans": [ { "id": "string", "name": "string" } ], "roles": [ { "id": "string", "name": "string" } ], "badges": [ { "id": "string", "appId": "string", "key": "string", "name": "string", "description": "string", "color": "string", "iconUrl": "string", "awardedAt": "2019-08-24T14:15:22Z" } ], "joinedAt": "2019-08-24T14:15:22Z" } ], "meta": { "total": 0, "limit": 0, "offset": 0 }}
Planeward Docs